### Method

# Soup ServerMessage get_remote_address

#### Declaration [src]

    GSocketAddress*
    soup_server_message_get_remote_address (
      SoupServerMessage* msg
    )

#### Description [src]

Retrieves the `GSocketAddress` associated with the remote end of a connection.

#### Return value

Type: `GSocketAddress`

The `GSocketAddress` associated with the remote end of a connection, it may be `NULL` if you used Server.accept_iostream.

The data is owned by the instance.
The return value can be `NULL`.